//======================================//
//-------------DM6 XL-----------//
//======================================//

textures/B6/orangestrip_lt1
{
	qer_editorimage textures/B6/orangestrip_lt1.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_surfacelight 500
	q3map_lightimage textures/B6/orangestrip_glow_lt1.tga
	{
		map textures/B6/orangestrip_lt1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/B6/orangestrip_glow_lt1.tga
		rgbGen wave sin 0 0 0
		blendfunc GL_ONE GL_ONE
	}
}

textures/B6/bluestrip_lt1
{
	qer_editorimage textures/B6/bluestrip_lt1.tga
	surfaceparm nomarks
	nomipmaps
	q3map_surfacelight 512
	q3map_lightimage textures/B6/bluestrip_glow_lt1.tga
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/B6/bluestrip_lt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/B6/bluestrip_glow_lt1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 .1 .2
	}
}

textures/B6/greenstrip_lt1
{
	qer_editorimage textures/B6/greenstrip_lt1.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_surfacelight 500
	q3map_lightimage textures/B6/greenstrip_glow_lt1.tga
	{
		map textures/B6/greenstrip_lt1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/B6/greenstrip_glow_lt1.tga
		rgbGen wave sin 0.5 0.5 1 .5
		blendfunc GL_ONE GL_ONE
	}
}

textures/decker_light/y_strip_lt
{
	qer_editorimage textures/decker_light/y_strip_lt.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_surfacelight 500
	q3map_lightimage textures/decker_light/y_strip_lt_glow.tga
	{
		map textures/decker_light/y_strip_lt.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/decker_light/y_strip_lt_glow.tga
		rgbGen wave sin 0.5 0.5 1 .5
		blendfunc GL_ONE GL_ONE
	}
}

// SKYMAP
textures/cpm26/greywash
{
	qer_editorimage textures/cpm26/greywash.tga
	
	//q3map_sunExt 100 100 120 90 225 55 3 16
	q3map_sunExt 100 100 100 100 220 50 3 16
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 140 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	nomipmaps

	skyparms textures/cpm26/greywash 256 -

	{
		map textures/cpm26/greywash_clouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 5 5
		tcMod scroll 0.05 0.05
	}
}

// CPM3A shader
textures/swelt/evil8_lights/e8btrimlight
{
	qer_editorimage textures/swelt/evil8_lights/e8btrimlight.tga
	q3map_lightimage textures/swelt/evil8_lights/e8btrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/swelt/evil8_lights/e8btrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_lights/e8btrimlight.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_lights/e8trimlight
{
	qer_editorimage textures/swelt_evil8_lights/e8trimlight.tga
	q3map_lightimage textures/swelt_evil8_lights/e8trimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/swelt_evil8_lights/e8trimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_lights/e8trimlight.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_floor/e8warn2steplight
{
	qer_editorimage textures/swelt_evil8_floor/e8warn2steplight.tga
	q3map_lightimage textures/swelt_evil8_floor/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/swelt_evil8_floor/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_floor/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_floor/e8minitrimlight
{
	qer_editorimage textures/swelt_evil8_lights/e8minitrimlight.tga
	q3map_lightimage textures/swelt_evil8_lights/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/swelt_evil8_lights/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_lights/e8minitrimlight.blend.tga
		blendfunc add
	}
}
textures/swelt_evil8_fx/e8_jumppad02
{
	q3map_lightimage textures/swelt_evil8_fx/e8_jumppad02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/swelt_evil8_fx/e8_jumppad02.tga
		rgbGen identity
	}

	{
		map textures/swelt_evil8_fx/e8_jumppad02_fx.tga
		blendfunc add
		tcMod rotate 360
		tcMod stretch sin 1 0.8 1 0.4 
	}
	{
		map textures/swelt_evil8_fx/e8_jumppad02.tga
		blendfunc add
		rgbGen identity
	}
	{
		map textures/swelt_evil8_fx/e8_jumppad02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
textures/swelt_evil8_lights/e8_rlightb2
{
	qer_editorimage textures/swelt_evil8_lights/e8_rlightb2.tga
	q3map_lightimage textures/swelt_evil8_lights/e8_rlightb2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
	{
		map textures/swelt_evil8_lights/e8_rlightb2.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_lights/e8_rlightb2.blend.tga
		blendfunc add
	}
}
textures/swelt_evil8_lights/e8_rlightb
{
	qer_editorimage textures/swelt_evil8_lights/e8_rlightb.tga
	q3map_lightimage textures/swelt_evil8_lights/e8_rlightb.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
	{
		map textures/swelt_evil8_lights/e8_rlightb.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_lights/e8_rlightb.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_lights/evil8_rlight
{
	qer_editorimage textures/swelt_evil8_lights/e8_rlight.tga
	q3map_lightimage textures/swelt_evil8_lights/e8_rlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/swelt_evil8_lights/e8_rlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_lights/e8_rlight.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_lights/e8tmtllight
{
	qer_editorimage textures/swelt_evil8_lights/e8tmtllight.tga
	q3map_lightimage textures/swelt_evil8_lights/e8tmtllight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/swelt_evil8_lights/e8tmtllight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_lights/e8tmtllight.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_lights/e8tmtllight2
{
	qer_editorimage textures/swelt_evil8_lights/e8tmtllight2.tga
	q3map_lightimage textures/swelt_evil8_lights/e8tmtllight2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/swelt_evil8_lights/e8tmtllight2.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_lights/e8tmtllight2.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_lights/e8tmtllight2b
{
	qer_editorimage textures/swelt_evil8_lights/e8tmtllight2b.tga
	q3map_lightimage textures/swelt_evil8_lights/e8tmtllight2b.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/swelt_evil8_lights/e8tmtllight2b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_lights/e8tmtllight2b.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_grate/e8xgirder_small2
{
	cull disable
	{
		map textures/swelt_evil8_grate/e8xgirder_small2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/swelt_evil8_fx/e8alphaspawn
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/swelt_evil8_fx/e8alphaspawn.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/swelt_evil8_fx/e8yarrow
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/swelt_evil8_fx/e8yarrow.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/swelt_evil8_trim/e8lighttrim_static
{
	qer_editorimage textures/swelt_evil8_trim/e8lighttrim.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/swelt_evil8_trim/e8lighttrim.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_trim/e8lighttrim.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_trim/e8lighttrim_glow
{
	qer_editorimage textures/swelt_evil8_trim/e8lighttrim.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/swelt_evil8_trim/e8lighttrim.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_trim/e8lighttrim.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.2 1 1 0.2 
	}
}

textures/swelt_evil8_trim/e8lighttrim_b_static
{
	qer_editorimage textures/swelt_evil8_trim/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/swelt_evil8_trim/e8lighttrim_b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_trim/e8lighttrim_b.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_trim/e8lighttrim_b_glow
{
	qer_editorimage textures/swelt_evil8_trim/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/swelt_evil8_trim/e8lighttrim_b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_trim/e8lighttrim_b.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.2 1 1 0.2 
	}
}

textures/swelt_evil8_fx/e8jumpspawn02
{
	q3map_lightimage textures/swelt_evil8_fx/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/swelt_evil8_fx/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/swelt_evil8_fx/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/swelt_evil8_fx/e8jumpspawn02b
{
	q3map_lightimage textures/swelt_evil8_fx/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/swelt_evil8_fx/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/swelt_evil8_fx/e8jumpspawn02b.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/swelt_evil8_fx/e8jumpspawn02c
{
	q3map_lightimage textures/swelt_evil8_fx/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/swelt_evil8_fx/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/swelt_evil8_fx/e8jumpspawn02c.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/swelt_evil8_fx/e8_launchpad1
{
	q3map_lightimage textures/swelt_evil8_fx/e8_launchpad1.blend.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/swelt_evil8_fx/e8_launchpad1_fx.tga
		rgbGen identity
		tcMod scroll 0 3
	}
	{
		map textures/swelt_evil8_fx/e8_launchpad1.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/swelt_evil8_fx/e8_launchpad1.blend.tga
		blendfunc add
		rgbGen wave triangle 0.2 2 1 2 
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/swelt_evil8_fx/e8red_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/swelt_evil8_fx/e8red_dcl.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/swelt_evil8_fx/e8blue_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/swelt_evil8_fx/e8blue_dcl.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/swelt_evil8_grate/e8xgirder
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/swelt_evil8_grate/e8xgirder.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/swelt_evil8_grate/e8xgirder_small
{
	cull disable
	{
		map textures/swelt_evil8_grate/e8xgirder_small.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/swelt_evil8_trim/e8mtltrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
	{
		map textures/swelt_evil8_trim/e8mtltrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/swelt_evil8_trim/e8wrntrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
	{
		map textures/swelt_evil8_trim/e8wrntrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/swelt_evil8_trim/e8mtltrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
	{
		map textures/swelt_evil8_trim/e8mtltrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/swelt_evil8_grate/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		map textures/swelt_evil8_grate/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/swelt_evil8_fx/e8rail
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map textures/swelt_evil8_fx/e8rail.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/swelt_evil8_fx/e8icon_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/swelt_evil8_fx/e8icon_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.2 
	}
}

textures/swelt_evil8_fx/e8icon_blue
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/swelt_evil8_fx/e8icon_blue.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.2 
	}
}

//doesn't work right, please edit as you see fit
textures/swelt_evil8_fx/e8scuffs1
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	qer_trans 0.4
	{
		map textures/swelt_evil8_fx/e8scuffs1.tga
		blendfunc blend
		rgbGen Vertex
		depthWrite
	}
}

textures/swelt_evil8_fx/e8circle_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/swelt_evil8_fx/e8circle_red.tga
		blendfunc add
		rgbGen identity
	}
}

textures/swelt_evil8_fx/e8circle_blue
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/swelt_evil8_fx/e8circle_blue.tga
		blendfunc add
		rgbGen identity
	}
}

textures/swelt_evil8_fx/e8circle_red_fade
{
	qer_editorimage textures/swelt_evil8_fx/e8circle_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/swelt_evil8_fx/e8circle_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
	}
}

textures/swelt_evil8_fx/e8circle_blue_fade
{
	qer_editorimage textures/swelt_evil8_fx/e8circle_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/swelt_evil8_fx/e8circle_blue.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
	}
}

textures/swelt_evil8_fx/e8spawn01b
{
	{
		map textures/sfx/proto_zzztblu2.tga
		rgbGen identity
		tcMod turb 0 0.5 0 9.6
		tcMod scale 2 2
		tcMod scroll 9 5
	}
	{
		map textures/swelt_evil8_fx/e8spawn01b.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/swelt_evil8_trim/e8trim_bluefx
{
	q3map_lightimage textures/e8trim/evil8_trimfx_b.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_trim/e8trim_bluefx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/swelt_evil8_trim/e8trimfx_b.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/swelt_evil8_trim/e8trim_redfx
{
	q3map_lightimage textures/swelt_evil8_trim/e8trimfx_r.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_trim/e8trim_redfx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/swelt_evil8_trim/e8trimfx_r.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

//not for public release :P
textures/swelt_evil8_fx/e8evilspacetxt
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/swelt_evil8_fx/e8evilspacetxt.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/swelt_evil8_lights/e8tinylight
{
	qer_editorimage textures/swelt_evil8_lights/e8tinylight.tga
	q3map_lightimage textures/swelt_evil8_lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/swelt_evil8_lights/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_lights/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_lights/e8tinylightblue
{
	qer_editorimage textures/swelt_evil8_lights/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/swelt_evil8_lights/e8tinylightblue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_lights/e8tinylightblue.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_fx/e8beam
{
	qer_editorimage textures/swelt_evil8_fx/e8beam.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/swelt_evil8_fx/e8beam.tga
		blendfunc add
		tcMod scroll 0.3 0
	}
}

textures/swelt_evil8_fx/e8beam_blue
{
	qer_editorimage textures/swelt_evil8_fx/e8beam_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/swelt_evil8_fx/e8beam_blue.tga
		blendfunc add
		tcMod scroll 0.3 0
	}
}

textures/swelt_evil8_base/e8metal03c_shiney
{
	qer_editorimage textures/swelt_evil8_base/e8metal03c.tga
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/swelt_evil8_base/e8metal03c.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/swelt_evil8_base/e8metal_blue_shiney
{
	qer_editorimage textures/swelt_evil8_base/e8metal_blue.tga
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/swelt_evil8_base/e8metal_blue.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/swelt_evil8_base/e8metal_red_shiney
{
	qer_editorimage textures/swelt_evil8_base/e8metal_red.tga
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/swelt_evil8_base/e8metal_red.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

//broken shader D:?
textures/swelt_evil8_trim/e8trimlight
{
	q3map_lightimage textures/swelt_evil8_trim/e8trimlight_fx.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_trim/e8trimlight.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/swelt_evil8_trim/e8trimlight_fx.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/swelt_evil8_trim/e8trimlight2_blue
{
	qer_editorimage textures/swelt_evil8_trim/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/swelt_evil8_trim/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_trim/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/swelt_evil8_trim/e8trimlight2_red
{
	qer_editorimage textures/swelt_evil8_trim/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/swelt_evil8_trim/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/swelt_evil8_trim/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}


//===========================//
//=======floor sounds========//
//===========================//
textures/swelt_evil8_floor/e8clangfloor
{
	//qer_editorimage textures/swelt_evil8_floor/e8clangfloor.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/swelt_evil8_floor/e8clangfloor01
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor01.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/swelt_evil8_floor/e8clangfloor03
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor03.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/swelt_evil8_floor/e8clangfloor04
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor04.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/swelt_evil8_floor/e8clangfloor04_blue
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor04_blue.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/swelt_evil8_floor/e8clangfloor04_red
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor04_red.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/swelt_evil8_floor/e8clangfloor04b
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor04b.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/swelt_evil8_floor/e8clangfloor04warn
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor04warn.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/swelt_evil8_floor/e8clangfloor04warn2
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor04warn2.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/swelt_evil8_floor/e8clangfloor05
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor05.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/swelt_evil8_floor/e8clangfloor05b
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor05b.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/swelt_evil8_floor/e8clangfloor05c
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor05c.tga
		blendfunc filter
		rgbGen identity
	}
}

//===========================//
//===========================//
//===========================//

// SSCTF 3 Shader
// Do Not Modify

////////////////////////////////////////////////////////////////////////
// Lights
////////////////////////////////////////////////////////////////////////
textures/ssctf3/s_beam_red
{
	qer_editorimage textures/ssctf3/s_beam_red.tga
//	qer_editorimage textures/ssctf3/s_beam_red_test.tga
	q3map_lightimage textures/ssctf3/s_beam_red_blend.tga
	q3map_surfacelight 512
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf3/s_beam_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ssctf3/s_beam_red_blend.tga
		blendfunc GL_ONE GL_ONE
		tcmod scroll 0.2 0.0
		rgbGen wave sin .4 .3 .0 .1

	}
}
textures/ssctf3/s_beam_blue
{
	qer_editorimage textures/ssctf3/s_beam_blue.tga
//	qer_editorimage textures/ssctf3/s_beam_blue_test.tga
	q3map_lightimage textures/ssctf3/s_beam_blue_blend.tga
	q3map_surfacelight 512
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf3/s_beam_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ssctf3/s_beam_blue_blend.tga
		blendfunc GL_ONE GL_ONE
		tcmod scroll 0.2 0.0
//		rgbGen wave sin .4 .3 .0 .1
		rgbGen wave sin .6 .3 .1 .2
	}
}
textures/ssctf3/ssctf3_trimlight1
{
	qer_editorimage textures/ssctf3/trimlight1.tga
	q3map_lightimage textures/ssctf3/trimlight1blend.tga
	q3map_surfacelight 512
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf3/trimlight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ssctf3/trimlight1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 .1 .2
	}
}
textures/ssctf3/ssctf3_trimlight1_red
{
	qer_editorimage textures/ssctf3/trimlight1_red.tga
	q3map_lightimage textures/ssctf3/trimlight1blend_red.tga
	q3map_surfacelight 512
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf3/trimlight1_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ssctf3/trimlight1blend_red.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 .1 .2
	}
}
textures/ssctf3/ssctf3_trimlight1_blue
{
	qer_editorimage textures/ssctf3/trimlight1_blue.tga
	q3map_lightimage textures/ssctf3/trimlight1blend_blue.tga
	q3map_surfacelight 512
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf3/trimlight1_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ssctf3/trimlight1blend_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 .1 .2
	}
}
textures/ssctf3/ssctf3_metal_trans
{
	qer_editorimage textures/gothic_trim/metalsupport4i_bit.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/metalsupport4i_bit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/ssctf3/ssctf3_metal2_trans
{
	qer_editorimage textures/gothic_trim/metalsupport4j.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/metalsupport4j.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ssctf3/s_ps_nonsolid
{   
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
 	qer_editorimage textures/base_trim/pewter_shiney.tga
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

////////////////////////////////////////////////////////////////////////
// Bulb From Model, Seperated.  As in TA. (id software)
////////////////////////////////////////////////////////////////////////
textures/ssctf3/lightb
{
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
	{
		map textures/ssctf3/lightb.tga
		blendFunc Add
		rgbGen identity
	}
}
textures/ssctf3/lightb2
{
    cull disable
    deformVertexes autoSprite
    surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/ssctf3/lightb2.tga
		blendFunc Add
		rgbGen identity
	}
}

textures/ssctf3/s_scancode
{    
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight   
	{
		map textures/ssctf3/s_scancode.tga
                blendFunc add
		rgbGen vertex
	}
}

// FLAGS

textures/cpmctf1/banner1_b2
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/cpmctf1/banner1_b2.tga
		rgbGen identity
	}
        {
		map textures/effects/redflagmap.tga
                tcGen environment
                //tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/cpmctf1/banner1_b2.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

